namespace Inspectron.Epson.Templates.Language.Nodes;

public enum SeparatorStyle
{
    Dash,   // ---
    Equals, // ===
    Star,   // ***
    Tilde   // ~~~
}

public record SeparatorNode(SeparatorStyle Style, SourcePosition Position) : ITemplateNode
{
    public IReadOnlyList<ITemplateNode> Children => Array.Empty<ITemplateNode>();
}
